#ifndef IM1253B_H
#define IM1253B_H

/* Scheduler include files. */
#include "FreeRTOS.h"
#include "task.h"
#include "semphr.h"

#include <stdio.h>
#include "pico/stdlib.h"
#include "hardware/gpio.h"

#include "hardware/clocks.h"
#include "hardware/watchdog.h"
#include "pico/multicore.h"
#include "hardware/i2c.h"
#include "pico/binary_info.h"
#include "hardware/uart.h"
#include "hardware/pwm.h"
#include "hardware/adc.h"

#include "uart_rx.pio.h"
#include "uart_tx.pio.h"

#define IM1253B_PIO pio0
#define IM1253B_PIO_TX_PIN 19   // 接 IM1253B (RX) PIN （需要反着接）
#define IM1253B_PIO_RX_PIN 20   // 接 IM1253B (TX) PIN
#define IM1253B_PIO_SM_TX 0
#define IM1253B_PIO_SM_RX 1
#define IM1253B_PIO_SERIAL_BAUD 4800

extern int IM1253B_INIT(void);
extern void IM1253B(void *p);

#endif
