#ifndef PN532_H
#define PN532_H

/* Scheduler include files. */
#include "FreeRTOS.h"
#include "task.h"
#include "semphr.h"

#include <stdio.h>
#include <string.h>
#include <strings.h>
#include "pico/stdlib.h"
#include "hardware/pio.h"
#include "uart_tx.pio.h"
#include "uart_rx.pio.h"

#define UART0 uart0
#define BAUD_RATE 115200
#define DATA_BITS 8
#define STOP_BITS 1
#define PARITY    UART_PARITY_NONE
#define UART0_TX_PIN 1          // PN532 SDA (TX) PIN
#define UART0_RX_PIN 0          // PN532 SCL (RX) PIN

extern int PN532_INIT(void);
extern void PN532(void *p);

#endif
